Bug 836693 - Review request: felix-configadmin - Felix Configuration Admin Service
Review request: felix-configadmin - Felix Configuration Admin Service
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-29 21:24 EDT by Patryk Obara
Modified: 2013-03-13 00:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-10 16:52:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgoldman: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Patryk Obara 2012-06-29 21:24:31 EDT
Spec URL:
http://dreamertan.fedorapeople.org/srpm/felix-configadmin/1.4.0-2.fc17/felix-configadmin.spec

SRPM URL:
http://dreamertan.fedorapeople.org/srpm/felix-configadmin/1.4.0-2.fc17/felix-configadmin-1.4.0-2.fc17.src.rpm

Description:
Implementation of the OSGi Configuration Admin Service Specification 1.4.
http://felix.apache.org/site/apache-felix-config-admin.html

Koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4208659

Notes:
1) rpmlint on generated rpm generates false positive error:
felix-configadmin.noarch: E: explicit-lib-dependency aqute-bndlib

2) package generates single jar, but places it in "felix" subdir instead of %{_javadir}; this is in line with all other felix-* packages, that are already included in fedora
Comment 1 Marek Goldmann 2012-07-02 07:04:37 EDT
I'll take it.
Comment 2 Marek Goldmann 2012-07-02 08:14:09 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
felix-configadmin.noarch: E: explicit-lib-dependency aqute-bndlib
2 packages and 0 specfiles checked; 1 errors, 0 warnings.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: ASL 2.0
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : fb892b83222acd029f3b0e840ff0eae5
MD5SUM upstream package: fb892b83222acd029f3b0e840ff0eae5
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[!]  Package does not own files or directories owned by other packages.

All felix project pacages store their files in felix/ dir. Not an issue.

[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[x]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4212734

================
*** APPROVED ***
================
Comment 3 Patryk Obara 2012-07-02 08:21:10 EDT
New Package SCM Request
=======================
Package Name: felix-configadmin 
Short Description: Felix Configuration Admin Service
Owners: dreamertan
Branches: f17
InitialCC: goldmann
Comment 4 Gwyn Ciesla 2012-07-02 08:45:25 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-07-02 09:16:29 EDT
felix-configadmin-1.4.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/felix-configadmin-1.4.0-2.fc17
Comment 6 Fedora Update System 2012-07-02 18:29:39 EDT
felix-configadmin-1.4.0-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 7 Fedora Update System 2012-07-10 16:52:07 EDT
felix-configadmin-1.4.0-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.